<?php

$this->headScript()->appendFile($this->DinamicPath().'js/windowmsg/jquery.windowmsg-1.0.js');
$this->headScript()->appendScript($this->javascriptPopupSlave);
$this->headLink()->appendStylesheet($this->DinamicPath().'css/table.css','all');
$this->headLink()->appendStylesheet($this->DinamicPath().'css/form.css','all');

//print $this->form->render();
$translate = Zend_Registry::get('Zend_Translate');
$request = Zend_Controller_Front::getInstance()->getRequest();

if (!is_null($this->pager)){
	try {
		$paginator = $this->PagerToPaginator($this->pager,$this->select);

		$head = NULL;
		$head['nameHeader'] = array($translate->translate('ID'),$translate->translate('Name'),$translate->translate('Username'),$translate->translate('Date'),$translate->translate('State'));
		$selectData = array('id_user','user_name','user_userName','user_registrationDateTime','nameState_name');
		$links['id_user']['link'] = 'close.window';
		$columnValue['user_userName'] = 'true';
		$hidden = array('id_user','user_userName');
		$caption = array($translate->translate('ListArticles'));
		print $this->Table($paginator,$selectData,$columnValue,$head,$hidden,$caption,$links);
		print $this->paginationControl($this->pager,'Sliding','paginator.phtml');
	}catch (Exception $e){
		echo $e->getMessage();
	}
}else {
	echo "<p>"."Nenalezeny zaznamy"."</p>";
}
?>
